Change rows in manufacturer settings: Manufacturers with the models and assets attributed to each, and who to contact for support.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/manufacturer_settings \
--header 'Content-Type: application/json' \
--data '
{
"assets": 123,
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"models": 123,
"name": "<string>",
"row_version": 123,
"support_email": "<string>",
"support_phone": "<string>",
"website": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/manufacturer_settings"
payload = {
"assets": 123,
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"models": 123,
"name": "<string>",
"row_version": 123,
"support_email": "<string>",
"support_phone": "<string>",
"website": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
assets: 123,
code: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
models: 123,
name: '<string>',
row_version: 123,
support_email: '<string>',
support_phone: '<string>',
website: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/manufacturer_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Asset configuration
Change rows in manufacturer settings: Manufacturers with the models and assets attributed to each, and who to contact for support.
Manufacturers with the models and assets attributed to each, and who to contact for support.
PATCH
/
manufacturer_settings
Change rows in manufacturer settings: Manufacturers with the models and assets attributed to each, and who to contact for support.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
manufacturer_settings
Manufacturers with the models and assets attributed to each, and who to contact for support.
Maximum string length:
60Note: This is a Primary Key.
Maximum string length:
200Maximum string length:
40Maximum string length:
250Response
204
No Content
⌘I

